"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const tslib_1 = require("tslib");

const fs = tslib_1.__importStar(require("fs-extra"));

async function userGlobalRender(api) {
  if (fs.existsSync(api.resolveSrcPath('app.less'))) {
    api.addImportToAppEntryFile({
      stage: -10,
      fn: () => `import '@/app.less';`
    });
  }

  const appTsxFilePath = api.resolveSrcPath('app.tsx');

  if (fs.existsSync(appTsxFilePath)) {
    var _await$fs$readFile;

    const appTsxFileContent = (_await$fs$readFile = await fs.readFile(appTsxFilePath)) === null || _await$fs$readFile === void 0 ? void 0 : _await$fs$readFile.toString();

    if (/^function\srootContainer/.test(appTsxFileContent)) {
      api.addImportToAppEntryFile(() => ({
        specifier: '{ rootContainer }',
        source: '@/app'
      }));
      api.addRenderFunctionNameToAppEntryFile(() => 'rootContainer');
    }
  }
}

exports.default = userGlobalRender;