"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isPromise = exports.loadPlugins = void 0;

const tslib_1 = require("tslib");

const path_1 = require("path");

const fs = tslib_1.__importStar(require("fs-extra"));

const type_1 = require("@spark-build/web-utils/lib/type");

const loadPlugins = async () => {
  const pluginsDirPath = path_1.join(__dirname, '../../../plugins');
  const files = await fs.readdir(pluginsDirPath);
  return Promise.all(files.map(async id => {
    const path = path_1.join(pluginsDirPath, id);
    const loadFileSetting = await Promise.resolve().then(() => tslib_1.__importStar(require(path))).then(res => ({
      stage: res.stage || 0,
      fn: res.default
    }));

    try {
      return {
        id,
        path,
        ...loadFileSetting
      };
    } catch (e) {
      throw new Error(`Register ${id} ${path} failed, since ${e.message}`);
    }
  }));
};

exports.loadPlugins = loadPlugins;

const isPromise = obj => (type_1.isObj(obj) || type_1.isFn(obj)) && type_1.isFn(obj.then);

exports.isPromise = isPromise;