"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.exec = exports.spawn = void 0;

const tslib_1 = require("tslib");

const childProcess = tslib_1.__importStar(require("child_process"));

const PromiseWrapper = cmdType => (options, isConsoleLog = true) => new Promise((resolve, reject) => {
  const result = childProcess[cmdType](options);
  const stdoutChunks = [];
  const stderrChunks = [];

  const capture = chunks => data => {
    chunks.push(data);

    if (isConsoleLog) {
      console.log(data.toString().trim());
    }
  };

  result.stdout.on('data', capture(stdoutChunks));
  result.stderr.on('data', capture(stderrChunks));
  result.on('close', () => {
    stdoutChunks.length ? resolve(stdoutChunks) : reject(stderrChunks);
  });
});

exports.spawn = PromiseWrapper('spawn');
exports.exec = PromiseWrapper('exec');