"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reactAutoConfig = void 0;

const tslib_1 = require("tslib");

const vite_plugin_style_import_1 = tslib_1.__importDefault(require("vite-plugin-style-import"));

const plugin_react_refresh_1 = tslib_1.__importDefault(require("@vitejs/plugin-react-refresh"));

const plugin_1 = require("./plugin");

const Bootstrap_1 = require("./Bootstrap");

const bootstrap = new Bootstrap_1.Bootstrap();

const reactAutoConfig = () => {
  const {
    userConfig
  } = bootstrap.getServer();
  const plugins = [plugin_1.reactAutoConfigPluginConfig(bootstrap)];

  if (userConfig.fastRefresh !== false) {
    plugins.push(plugin_react_refresh_1.default());
  }

  if (userConfig.antd) {
    plugins.push(vite_plugin_style_import_1.default({
      libs: [{
        libraryName: 'antd',
        esModule: true,
        resolveStyle: name => {
          return `antd/es/${name}/style/index`;
        }
      }]
    }));
  }

  return plugins;
};

exports.reactAutoConfig = reactAutoConfig;